@import "reset";
@import "color";
@import "responsive";
@import "typography";
@import "button";

@mixin index($theme) {

  @include hoistColors($theme);

  @include forSize(base-up) {
    @include reset-base();
    @include typography-base();
    @include button-base();
  }
  @include forSize(xsmall-up) {
    @include button-xsmall();
  }
  @include forSize(small-up) {
    @include button-small()
  }
  @include forSize(medium-up) {
    @include button-medium();
  }
  @include forSize(large-up) {
    @include button-large();
  }
}